Page MenuHomePhabricator

Untangle datamodel dependency tree
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/Citoid : masterRemove global access to Wikibase datamodel in js
mediawiki/extensions/Wikibase : masterDrop all of wikibase.datamodel except the main entry point
mediawiki/extensions/UploadWizard : masterRemove global access to Wikibase datamodel in js
mediawiki/extensions/WikibaseMediaInfo : masterRemove global access to Wikibase datamodel in js
mediawiki/extensions/WikibaseMediaInfo : masterAvoid usage of global wikibase.datamodel namespace
mediawiki/extensions/WikibaseLexeme : masterRemove not needed datamodel dependency
mediawiki/extensions/WikibaseLexeme : masterUse 'wikibase.datamodel' as the only datamodel RL module
mediawiki/extensions/Wikibase : masterUse 'wikibase.datamodel' as the only datamodel RL module

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 9:55 AM
Jakob_WMDE moved this task from Backlog to Doing on the RL Module Terminators Trailblazing board.

Change 540101 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Use 'wikibase.datamodel' as the only datamodel RL module

https://gerrit.wikimedia.org/r/540101

Change 540101 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use 'wikibase.datamodel' as the only datamodel RL module

https://gerrit.wikimedia.org/r/540101

Change 540405 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Use 'wikibase.datamodel' as the only datamodel RL module

https://gerrit.wikimedia.org/r/540405

Change 540405 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Use 'wikibase.datamodel' as the only datamodel RL module

https://gerrit.wikimedia.org/r/540405

BTW. Looking at current graph of Wikibase dependencies, it's very obvious how much this work is needed:

Jakob_WMDE updated the task description. (Show Details)Oct 7 2019, 10:25 AM

Change 541216 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Remove not needed datamodel dependency

https://gerrit.wikimedia.org/r/541216

Change 541229 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseMediaInfo@master] Avoid usage of global wikibase.datamodel namespace

https://gerrit.wikimedia.org/r/541229

Change 541216 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Remove not needed datamodel dependency

https://gerrit.wikimedia.org/r/541216

Change 541229 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Avoid usage of global wikibase.datamodel namespace

https://gerrit.wikimedia.org/r/541229

Change 541553 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseMediaInfo@master] Remove global access to Wikibase datamodel in js

https://gerrit.wikimedia.org/r/541553

Jakob_WMDE removed Jakob_WMDE as the assignee of this task.Oct 9 2019, 1:27 PM
Jakob_WMDE updated the task description. (Show Details)
Jakob_WMDE updated the task description. (Show Details)Oct 10 2019, 10:07 AM

Change 541553 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Remove global access to Wikibase datamodel in js

https://gerrit.wikimedia.org/r/541553

Change 542902 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Citoid@master] Remove global access to Wikibase datamodel in js

https://gerrit.wikimedia.org/r/542902

Jakob_WMDE updated the task description. (Show Details)Oct 14 2019, 3:16 PM

Change 540382 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/UploadWizard@master] Remove global access to Wikibase datamodel in js

https://gerrit.wikimedia.org/r/540382

Jakob_WMDE updated the task description. (Show Details)Oct 14 2019, 4:26 PM
Jakob_WMDE moved this task from Doing to Peer Review on the RL Module Terminators Trailblazing board.

Change 540382 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Remove global access to Wikibase datamodel in js

https://gerrit.wikimedia.org/r/540382

Jakob_WMDE updated the task description. (Show Details)Oct 15 2019, 11:04 AM

Change 542902 merged by jenkins-bot:
[mediawiki/extensions/Citoid@master] Remove global access to Wikibase datamodel in js

https://gerrit.wikimedia.org/r/542902

Jakob_WMDE updated the task description. (Show Details)Oct 15 2019, 3:31 PM

Change 543472 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Drop all modules that are parts of datamodel

https://gerrit.wikimedia.org/r/543472

Change 543472 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Drop all of wikibase.datamodel except the main entry point

https://gerrit.wikimedia.org/r/543472

Mvolz added a subscriber: Mvolz.Oct 18 2019, 10:14 AM

I've put in a revert of one of these changes here: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Citoid/+/544167/

We were already not using a global module, i.e. loading it using mw.loading elsewhere in the code, so it should not have affected the tree whatsoever.

However, the way the code is written is that of course when wikibase.datamodel loaded using mw.loading, it is then available from that namespace, which this change did avoid; is that a problem? If so it can be fixed.

Ladsgroup added a comment.EditedOct 18 2019, 10:27 AM

We were already not using a global module, i.e. loading it using mw.loading elsewhere in the code, so it should not have affected the tree whatsoever.

I think there's a misunderstanding here, by global, we tend to avoid using wikibase.datamodel.* variables which happens regardless of the way you load the module (as dependency declared or lazy loaded using mw.loader)

Can you explain the problem better to me? We just squeezed all modules to one module called wikibase.datamodel and you load it whatever way you want but use it with require (more info)

We were already not using a global module, i.e. loading it using mw.loading elsewhere in the code, so it should not have affected the tree whatsoever.

I think there's a misunderstanding here, by global, we tend to avoid using wikibase.datamodel.* variables which happens regardless of the way you load the module (as dependency declared or lazy loaded using mw.loader)
Can you explain the problem better to me? We just squeezed all modules to one module called wikibase.datamodel and you load it whatever way you want but use it with require (more info)

Whoops, you're right, sorry about that!

Ladsgroup closed this task as Resolved.Wed, Oct 23, 10:57 AM